<template>
  <div style="text-align: right">
    <!--导出-->
    <!-- <el-button
      type="primary"
      :disabled="!(trialCriterionList.length > 0)"
      icon="el-icon-download"
      size="mini"
      @click="handleExport(0)"
      style="margin-bottom: 10px"
    >
      {{ $t('common:button:export') }}
    </el-button> -->
    <el-tabs type="border-card" v-model="TrialReadingCriterionId">
      <el-tab-pane
        :label="i.TrialReadingCriterionName"
        :name="i.TrialReadingCriterionId"
        v-for="i of trialCriterionList"
        :key="i.TrialReadingCriterionId"
      >
        <el-table v-loading="loading" :data="list" border stripe>
          <el-table-column label="" :min-width="50">
            <template slot-scope="scope">
              {{ scope.$index + 1 }}
            </template>
          </el-table-column>
          <!-- 文件名称 -->
          <el-table-column
            :label="$t('trials:reviewTrack:title:fileName')"
            :min-width="50"
          >
            <template slot-scope="scope">
              {{ scope.row.FileName }}
            </template>
          </el-table-column>
          <el-table-column
            prop=""
            :label="$t('common:action:action')"
            min-width="80"
          >
            <template slot-scope="scope">
              <!-- 下载 -->
              <el-button
                icon="el-icon-download"
                circle
                :title="$t('trials:reviewTrack:title:download')"
                size="mini"
                @click="handleExport(scope.row.ExportCatogory)"
              />
            </template>
          </el-table-column>
        </el-table>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import {
  getCommonEvaluationList_Export,
  getCommonJudgeRatioList_Export,
  getReadingTaskList_Export,
  getTrialReadingCriterionCanExportDocumentList,
} from '@/api/export'
import { getTrialCriterionList } from '@/api/trials/reading'

export default {
  name: 'exportList',
  data() {
    return {
      loading: false,
      trialCriterionList: [],
      TrialReadingCriterionId: null,
      trialId: null,
      list: [],
    }
  },
  props: {
    data: {
      type: Object,
      default() {
        return {}
      },
    }
  },
  watch: {
    TrialReadingCriterionId(v) {
      if (v === '0') return
      this.loading = true
      getTrialReadingCriterionCanExportDocumentList({
        TrialReadingCriterionId: v,
      })
        .then((res) => {
          this.list = res.Result
          this.loading = false
        })
        .catch(() => {
          this.loading = true
        })
    },
  },
  mounted() {
    this.trialId = this.$route.query.trialId
    this.getTrialCriterionList()
  },
  methods: {
    handleExport(type) {
      var searchData = { ...this.data }
      searchData.TrialReadingCriterionId = this.TrialReadingCriterionId
      switch (type) {
        case 0:
          getReadingTaskList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 1:
          searchData.ReadingExportType = 1
          getCommonEvaluationList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 2:
          searchData.ReadingExportType = 2
          getCommonEvaluationList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 3:
          searchData.ReadingExportType = 3
          getCommonEvaluationList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 4:
          searchData.ReadingExportType = 4
          getCommonEvaluationList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 7:
          searchData.ReadingExportType = 7
          getCommonEvaluationList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 8:
          getCommonJudgeRatioList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 17:
          searchData.ReadingExportType = 17
          getCommonJudgeRatioList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
        case 18:
          searchData.ReadingExportType = 18
          getCommonJudgeRatioList_Export(searchData)
            .then((res) => {})
            .catch(() => {
              this.loading = false
            })
          break
      }
    },
    getTrialCriterionList() {
      getTrialCriterionList(this.trialId)
        .then((res) => {
          this.trialCriterionList = res.Result
          this.TrialReadingCriterionId =
            this.trialCriterionList[0].TrialReadingCriterionId
        })
        .catch(() => {})
    },
  },
}
</script>

<style scoped>
</style>
